package com.dayou.service;
import com.dayou.entity.DictType;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 字典类型 服务类
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
public interface IDictTypeService extends IService<DictType> {

        Page<DictType> selectPage(Page page,DictType dictType);

        DictType detail(Long id);

        Boolean add(DictType dictType);

        Boolean update(DictType dictType);

        Boolean delete(Long id);

        XSSFWorkbook generateImportTemplate();

        void importExcel(MultipartFile file);

        XSSFWorkbook exportExcel(DictType dictType);
}
